FormPanelContainer (install4j API)
Keywords: com.install4j.api.screens.FormPanelContainer interface

Overview | Package | Class | Tree | Deprecated | Index | Help
| install4j API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.install4j.api.screens
Interface FormPanelContainer

    public interface FormPanelContainer

Any screen can have a form panel, just like the "Additional confirmations" screen or the "Configurable form" screen. In the install4j GUI, the user can configure form components for screens that implement this interface. The framework will then pass a form panel to the screen by calling `setFormPanel`.

Method Summary
`FormEnvironment` | `getFormEnvironment()` Returns the form environment that was set with `setFormPanel(javax.swing.JPanel, com.install4j.api.formcomponents.FormEnvironment)` .
`boolean` | `isScrollFormPanel()` Determine if the form panel should be wrapped in a scroll pane.
`void` | `setFormPanel(javax.swing.JPanel panel, FormEnvironment formEnvironment)` This method is called by the framework to pass the form panel to this screen.

Method Detail

### setFormPanel

    void setFormPanel(javax.swing.JPanel panel,
                      FormEnvironment formEnvironment)

  This method is called by the framework to pass the form panel to this screen. It is your reponsibility to display the form panel somewhere on this screen. For console mode, you have to call `formEnvironment.handleConsole(console)` at some point in the `handleConsole` method of this screen.

  Parameters:
    `panel` - the form panel
    `formEnvironment` - the form environment

### isScrollFormPanel

    boolean isScrollFormPanel()

  Determine if the form panel should be wrapped in a scroll pane. This influences the behavior of form components which can grow vertically, such as the text area form component. If no scroll panel is added, those components can claim the remaining vertical space in the form panel.

  Returns:
    whether a scroll panel should be used for the form panel or not

### getFormEnvironment

    FormEnvironment getFormEnvironment()

  Returns the form environment that was set with `setFormPanel(javax.swing.JPanel, com.install4j.api.formcomponents.FormEnvironment)` . This is useful for making changes on a form screen in scripts from another screen or action.

  Returns:
    the form environment

Overview | Package | Class | Tree | Deprecated | Index | Help
| install4j API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD